<?xml version="1.0" encoding="UTF-8"?>
<flow xmlns="http://www.springframework.org/schema/webflow"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.springframework.org/schema/webflow http://www.springframework.org/schema/webflow/spring-webflow-2.4.xsd">

    <view-state id="welcome" view="hello/welcome">
        <transition on="next" to="confirm"/>
    </view-state>

    <view-state id="confirm" view="hello/confirm">
        <transition on="next" to="end"/>
        <transition on="previous" to="welcome"/>
    </view-state>

    <end-state id="end" view="hello/thanks"/>

</flow>